OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Typedefs | Functions
Module to match messages.

## Typedefs
typedef struct OTFAUX_MsgMatching_Context | OTFAUX_MsgMatching_Context
| Opaque type for using the matching module. More...

## Functions
OTFAUX_MsgMatching_Context * | OTFAUX_MsgMatching_create (void)
| Create a context for matching messages. More...
void | OTFAUX_MsgMatching_destroy (OTFAUX_MsgMatching_Context *mm_context)
| Destroy a context previously created with OTFAUX_MsgMatching_Create. More...
void | OTFAUX_MsgMatching_enqueueRecv (OTFAUX_MsgMatching_Context *mm_context, uint64_t sender, uint64_t receiver, uint32_t tag, uint32_t comm, uint64_t time, uint32_t size, uint32_t scl)
| Provide a recv event for matching. More...
int | OTFAUX_MsgMatching_matchSend (OTFAUX_MsgMatching_Context *mm_context, uint64_t sender, uint64_t receiver, uint32_t tag, uint32_t comm, uint64_t *ptime, uint32_t *psize, uint32_t *pscl)
| Try to match a send with the corresponding recv. More...
void | OTFAUX_MsgMatching_releaseMemory (OTFAUX_MsgMatching_Context *mm_context)
| If you think the OTFAUX_MsgMatching_Context holds to much memory, you can order him to release unused memory. More...

## Detailed Description

## Typedef Documentation

typedef struct OTFAUX_MsgMatching_Context OTFAUX_MsgMatching_Context

Opaque type for using the matching module.

## Function Documentation

OTFAUX_MsgMatching_Context* OTFAUX_MsgMatching_create | ( | void |  | ) |

Create a context for matching messages.

void OTFAUX_MsgMatching_destroy | ( | OTFAUX_MsgMatching_Context * | mm_context | ) |

Destroy a context previously created with OTFAUX_MsgMatching_Create.

References OTFAUX_MsgMatching_Context::free_list, OTFAUX_MsgMatching_Queue::head, OTFAUX_MsgMatching_Queue::next, and OTFAUX_MsgMatching_Context::queues.

void OTFAUX_MsgMatching_enqueueRecv | ( | OTFAUX_MsgMatching_Context * | mm_context,
|  | uint64_t | sender,
|  | uint64_t | receiver,
|  | uint32_t | tag,
|  | uint32_t | comm,
|  | uint64_t | time,
|  | uint32_t | size,
|  | uint32_t | scl
| ) |  |

Provide a recv event for matching.

References OTFAUX_MsgMatching_Context::free_list, and OTFAUX_MsgMatching_Recv::next.

int OTFAUX_MsgMatching_matchSend | ( | OTFAUX_MsgMatching_Context * | mm_context,
|  | uint64_t | sender,
|  | uint64_t | receiver,
|  | uint32_t | tag,
|  | uint32_t | comm,
|  | uint64_t * | ptime,
|  | uint32_t * | psize,
|  | uint32_t * | pscl
| ) |  |

Try to match a send with the corresponding recv.

Returns
  1 for success 0 for no recv

References OTFAUX_MsgMatching_Context::free_list, OTFAUX_MsgMatching_Queue::head, and OTFAUX_MsgMatching_Recv::next.

void OTFAUX_MsgMatching_releaseMemory | ( | OTFAUX_MsgMatching_Context * | mm_context | ) |

If you think the OTFAUX_MsgMatching_Context holds to much memory, you can order him to release unused memory.

If you think the OTFAUX_MsgMatching_Context holds to much memory, you can order him to release unused memory.

References OTFAUX_MsgMatching_Context::free_list, OTFAUX_MsgMatching_Queue::head, OTFAUX_MsgMatching_Queue::next, and OTFAUX_MsgMatching_Context::queues.